Search Results for

Show / Hide Table of Contents

# Class TabView.TabChangedEventArgs

Describes a change in SelectedTab

##### Inheritance

System.Object
System.EventArgs
TabView.TabChangedEventArgs

##### Inherited Members

System.EventArgs.Empty
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class TabChangedEventArgs : EventArgs

### Constructors

#### TabChangedEventArgs(TabView.Tab, TabView.Tab)

Documents a tab change

##### Declaration

    public TabChangedEventArgs(TabView.Tab oldTab, TabView.Tab newTab)

##### Parameters

Type | Name | Description
--- | --- | ---
TabView.Tab | oldTab |
TabView.Tab | newTab |

### Properties

#### NewTab

The currently selected tab. May be null

##### Declaration

    public TabView.Tab NewTab { get; }

##### Property Value

Type | Description
--- | ---
TabView.Tab |

#### OldTab

The previously selected tab. May be null

##### Declaration

    public TabView.Tab OldTab { get; }

##### Property Value

Type | Description
--- | ---
TabView.Tab |